TextToSpeechSelectLang(3dtk)

Name

TextToSpeechSelectLang - Selects a loaded language for a program thread.

Syntax
    BOOL TextToSpeechSelectLang (LPTTS_HANDLE_T reserved,
                                unsigned int lang)

Parameters

LPTTS_HANDLE_T reserved
    Reserved, must be NULL.

unsigned int lang
    Specifies a language handle returned in a previous call to TextToSpeechStartLang().

Description

This function selects a loaded language for a program thread.

Return Values

This function returns a value of type BOOL. The value is TRUE on success, or FALSE on error.

NOTE: The TextToSpeechStartLang() and TextToSpeechSelectLang() functions do not return MMRESULT status values in the manner of the TextToSpeechSetLanguage() function they replace. See the example of TextToSpeechSelectLang() error checking provided below.

Example
    BOOL select_us (unsigned int us_handle) {
        if (TextToSpeechSelectLang (NULL, us_handle) == FALSE) {
            printf ("Select langauge failed.\n");
            return FALSE;
        }
        return TRUE;
    }

See Also

TextToSpeechCloseLang(3dtk), TextToSpeechEnumLangs(3dtk), TextToSpeechStartLang(3dtk)